/* Blinking animations */
@keyframes redblinker { 50% { background: red; color: black; } }
@keyframes yellowblinker { 50% { background: yellow; color: black; } }
@keyframes greenblinker { 50% { background: green; color: black; } }
@keyframes blueblinker { 50% { background: blue; color: black; } }
@keyframes purpleblinker { 50% { background: purple; color: black; } }
@keyframes pinkblinker { 50% { background: pink; color: black; } }
@keyframes orangeblinker { 50% { background: orange; color: black; } }
@keyframes cyanblinker { 50% { background: cyan; color: black; } }
@keyframes whiteblinker { 50% { background: white; color: black; } }
@keyframes blackblinker { 50% { background: black; color: white; } }
.flashing-red { animation: redblinker 0.5s linear infinite !important;}
.flashing-yellow { animation: yellowblinker 0.5s linear infinite !important;}
.flashing-green { animation: greenblinker 0.5s linear infinite !important;}
.flashing-blue { animation: blueblinker 0.5s linear infinite !important;}
.flashing-purple { animation: purpleblinker 0.5s linear infinite !important;}
.flashing-pink { animation: pinkblinker 0.5s linear infinite !important;}
.flashing-orange { animation: orangeblinker 0.5s linear infinite !important;}
.flashing-cyan { animation: cyanblinker 0.5s linear infinite !important;}
.flashing-white { animation: whiteblinker 0.5s linear infinite !important;}
.flashing-black { animation: blackblinker 0.5s linear infinite !important;}

/* Rainbow */
@keyframes rainbow {
    0% { background: red; color: black; }
    12.5% { background: orange; color: black; }
    25% { background: yellow; color: black; }
    37.5% { background: green; color: black; }
    50% { background: blue; color: black; }
    62.5% { background: purple; color: black; }
    75% { background: pink; color: black; }
    87.5% { background: cyan; color: black; }
    100% { background: red; color: black; }
}
.rainbow { animation: rainbow 2s linear infinite !important;}

.stick-to-position {
    position: fixed;
    bottom: -23;
    left: -1;
    width: 101%;
    z-index: 9999;
    box-shadow: 0px 0px 10px 10px rgba(0,0,0,0.2);
}